LAYER_TERRENO = "terreno"
LAYER_CONSTRUCCION = "construccion"

PERMISSIONS = {
  "owners": {    # Read-only access to all data related to their properties
      LAYER_TERRENO: {
        'features': {'sql': ' "predio_documento_identidad" = \'{}\' '},
        'attributes': {'all': True},
        'rights': {'read': True, 'insert': False, 'update': False, 'delete': False} 
      },        
      LAYER_CONSTRUCCION: {
        'features': {'sql': ' "predio_documento_identidad" = \'{}\' '},
        'attributes': {'all': True},
        'rights': {'read': True, 'insert': False, 'update': False, 'delete': False} 
      }
  },
  "authority": {    # Read and edit access to the whole data set
      LAYER_TERRENO: {
        'features': {'all': True},
        'attributes': {'all': True},
        'rights': {'read': True, 'insert': True, 'update': True, 'delete': True} 
      },        
      LAYER_CONSTRUCCION: {
        'features': {'all': True},
        'attributes': {'all': True},
        'rights': {'read': True, 'insert': True, 'update': True, 'delete': True} 
      }
  },
  "property_registration_office": {    # Read-only access to the whole data set, except to valuation attributes
      LAYER_TERRENO: {
        'features': {'all': True},
        'attributes': {'remove': ['avaluo_terreno', 'predio_avaluo_predio']},
        'rights': {'read': True, 'insert': False, 'update': False, 'delete': False} 
      },        
      LAYER_CONSTRUCCION: {
        'features': {'all': True},
        'attributes': {'remove': ['avaluo_construccion']},
        'rights': {'read': True, 'insert': False, 'update': False, 'delete': False}
      }
  },
  "constructors": {   # Read-only access to geometries and valuation of layer 'terreno'
      LAYER_TERRENO: {
        'features': {'all': True},
        'attributes': {'these': ['avaluo_terreno']},
        'rights': {'read': True, 'insert': False, 'update': False, 'delete': False} 
      },        
      LAYER_CONSTRUCCION: {
        'rights': {'read': False, 'insert': False, 'update': False, 'delete': False} 
      }
  },
  "guest":{  # Access to all geometries but without alphanumeric info other than feature id
      LAYER_TERRENO: {
        'features': {'all': True},
        'attributes': {'these': ['fid']},
        'rights': {'read': True, 'insert': False, 'update': False, 'delete': False} 
      },        
      LAYER_CONSTRUCCION: {
        'features': {'all': True},
        'attributes': {'these': ['fid']},
        'rights': {'read': True, 'insert': False, 'update': False, 'delete': False}
      }
  }
}


ROLES = {
  "germap": "owners",
  "susan": "owners",
  "pablo": "authority",
  "isabel": "authority",
  "sandra": "property_registration_office",
  "XYZ": "constructors",
  "luis": "guest"
}


OWNERS = {
  "germap": {'ID_DOC': 80199143},
  "susan": {'ID_DOC': 1000123456}
}
